# CREATE EXTENSION vector;
# SELECT * FROM pg_extension; 
# SELECT * FROM pg_available_extensions;

version: '3.9'

services:
  pg:
    image: pgvector/pgvector:pg17
    # image: paradedb/paradedb
    container_name: pg
    restart: always
    # network_mode: host
    ports:
      - 5432:5432
    environment:
      POSTGRES_DB: openteam
      POSTGRES_USER: openteam
      POSTGRES_PASSWORD: openteam
    volumes:
      - $PWD/pgdata:/var/lib/postgresql/data

  # adminer:
  #   image: adminer
  #   restart: always
  #   ports:
  #     - 8080:8080
